import request from '@/utils/request'

// 查询车辆列表
export function list(vehicleListParams) {
  return request({
    url: '/business/vehicle/list',
    method: 'post',
    data: vehicleListParams
  })
}

//根据车辆id进行删除
export function deleteById(vehicleId) {
  return request({
    url: '/business/vehicle/deleteById/' + vehicleId,
    method: 'get'
  })
}

//获取车辆类型
export function getVehicleTypes() {
  return request({
    url: '/business/vehicleType/list',
    method: 'get'
  })
}

//编辑车辆
export function editById(vehicle) {
  return request({
    url: '/business/vehicle/editById',
    method: 'post',
    data:vehicle
  })
}

//新增车辆
export function insert(vehicle) {
  return request({
    url: '/business/vehicle/insert',
    method: 'post',
    data:vehicle
  })
}

//获取绑定当前车辆的标识
export function getBindLogoByVehicleId(vehicleId) {
  return request({
    url: '/business/vehicle/getBindLogoById/'+vehicleId,
    method: 'get'
  })
}

